Skip to main content

Migrate from Remote (V2)

Starts a migration from a remote bucket to the specified cluster.

POST/v2/migrations/startByRemote
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Acceptstringheader

Use application/json.

Example Value: application/json
Request Bodyapplication/json
sourceobject

Source storage configuration.

cloudstring

Cloud provider.

regionstring

Cloud region.

bucketNamestring

Name of the source bucket.

pathstring

Path within the source bucket.

objectUrlstring

Object URL.

accessKeystring

Access key.

secretKeystring

Secret key.

tokenstring

Security token.

stageNamestring

Stage name.

dataPathstring

Data path.

destinationobject

Destination cluster configuration.

clusterIdstring

ID of the destination cluster.

Responses200 - application/json
codeinteger

Response code.

dataobject

Response payload which contains the ID of the created migration job.

jobIdstring

ID of the created migration job.

A failure response.

codeinteger

Response code.

messagestring

Error message.